import _defineProperty from "@babel/runtime/helpers/defineProperty";
import _objectSpread from "@babel/runtime/helpers/objectSpread";

/**
 * @license
 * Copyright © 2017-2019 Moov Corporation.  All rights reserved.
 */
import getAPIVersion from './getAPIVersion';
import { REACT_STOREFRONT, API_VERSION } from './headers';
/**
 * The standard fetch with two additional headers:
 *
 * REACT_STOREFRONT - allows moovweb xdn logging to track that the request came from react-storefront
 * API_VERSION - required by the service worker's bootstrap.js to fulfill a request from the cache.
 *
 * @param {String} url
 * @param {Object} options
 * @return {Promise}
 */

export default function versionedFetch(url) {
  var _objectSpread2;

  var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
  options = _objectSpread({}, options, {
    headers: _objectSpread({}, options.headers || {}, (_objectSpread2 = {}, _defineProperty(_objectSpread2, REACT_STOREFRONT, 'true'), _defineProperty(_objectSpread2, API_VERSION, getAPIVersion()), _objectSpread2))
  });
  return require('isomorphic-unfetch')(url, options);
}
/**
 * Overrides `window.fetch` to use `versionedFetch`.
 */

export function patchBroweserFetch() {
  if (typeof window !== 'undefined') {
    window.fetch = versionedFetch;
  }
}
//# sourceMappingURL=versionedFetch.js.map